#include <iostream>

using namespace std;

int main()
{
    int t,z;;
    cin>>t;
    int n[t];
    for (int i=0;i<t;i++){
        cin>>n[i];
    }
    int b=1,o,br=0;
    bool g=true;
    for (int i=0;i<t;i++){
            o=n[i];
            g=true;
            br=0;
        for (int j=0;j<n[i];j++){
            while(o!=0){
                b=b*(o%10);
                o=o/10;
            }
            int niz[200000];
            if(g==true){
                niz[o]=b;
                g==false;
                br++;
            }
            for (int x=0;x<br;x++){
                if(niz[x]!=b){
                    niz[x+1]=b;
                    br++;
                }
            }
        }
        cout<<br<<endl;
    }
    return 0;
}